XAMPP 1.8.0 phpmyadmin rögzíteni a frissítés után

Néhány nappal ki XAMPP 1.8.0 tegnap, miután frissítés verzió 1.7.7 Volt elég érdekes probléma. Phpmyadmin-és nem nyitja ki, és harsogva 403

Hozzáférés megtagadva!


Új XAMPP biztonsági koncepció:

Hozzáférés a kért objektum csak a helyi hálózaton.

Ez a beállítás lehet állítani a fájl “httpd-xampp.conf”.

Azonnal kinyitotta httpd-xampp.conf ami nekem az / opt / lampp / etc / extra /, Első pillantásra minden látszott finom. A szabályok a helyi hálózat között voltak. Eltekintve a nyitó localhost. WTF ??? Megnéztem a log-és látom, hogy a hozzáférés le van vágva a konfiguatsiyata. Itt most mi ziháltam és őszintén valamivel kevesebb szerencsével találta meg a problémát. Után megy át a httpd. conf, és látta a enged/tagad záradékok egy utolsó sorban Megköveteli az összes megadott. Oh EUREKA. Ez egy új ellenőrzési mechanizmus lépett Apache 2.4.x. Ez ad hozzáférést megtagadó vagy az ilyen finom, Alapvetően utánozza engedélyezése / tiltása funkciót :). A probléma hozzá szükség minden megadott, a/opt/lámpaoszlop/phpmyadmin mappa. Miután a változás bennem külleme

<Könyvtár “/opt / lampp / phpmyadmin”>
AllowOverride AuthConfig Limit
rendelés lehetővé,tagadni
Hagyjuk az összes
Megköveteli az összes megadott
</Könyvtár>

 

Viangi lehet próbálni egy másik vad, például a mappa átnevezéséhez phpmyadmin valami más, és nem álnevet. De ez csúnya és nem túl értelmes 🙂

p.s Megkérdezték tőlem, hogy miért használ XAMPP nem tiszta telepítés valamennyi komponens, mint ők az én Debian szül – a válasz az, tényleg nagyon egyszerű – LUSTASÁG. Én túl lusta, hogy írjon több parancs, akkor kap a konfovete stb.. Nagyon könnyű az veszi a egész pack razarhiviraš és a könnyű 😉

Növeli Zemanta

Válaszolj

E-mail címed nem kerül nyilvánosságra. Kötelező kitölteni *

anti spam *